package com.lakala.zf.laop.java.sdk.demo.v2;

import com.lakala.zf.laop.java.sdk.demo.BaseCommonDemo;
import com.lkl.laop.sdk.LKLSDK;
import com.lkl.laop.sdk.request.V2LaepIndustryEwalletBalanceQueryRequest;

/**
 * @author nxj
 * @date 2024/1/15 16:41
 * @description 账管家V2.0-账管家余额查询DEMO
 */
public class V2LaepIndustryEwalletBalanceQueryRequestDemo extends BaseCommonDemo {
    public static void main(String[] args) throws Exception {
        // 1. 配置初始化
        doInit();

        //2. 装配数据
        V2LaepIndustryEwalletBalanceQueryRequest req = new V2LaepIndustryEwalletBalanceQueryRequest();
        req.setOrgNo("1");
        req.setMerchantNo("8221000581200BS");
        req.setPayNo("02001012000000010423");
        req.setPayType("01");

        //3. 发送请求
        String response = LKLSDK.httpPost(req);

        //4. 响应
        System.out.println(response);
    }
}
